Index: cdr/cdr_addon_mysql.c
===================================================================
--- cdr/cdr_addon_mysql.c	(revision 732)
+++ cdr/cdr_addon_mysql.c	(working copy)
@@ -258,10 +258,6 @@
 			}
 
 			/* Construct SQL */
-			if (column_count++) {
-				ast_str_append(&sql1, 0, ",");
-				ast_str_append(&sql2, 0, ",");
-			}
 
 			/* Need the type and value to determine if we want the raw value or not */
 			if (entry->staticvalue) {
@@ -286,8 +282,14 @@
 			if (value) {
 				size_t valsz;
 
+                        	if (column_count++) {
+                                	ast_str_append(&sql1, 0, ",");
+                                	ast_str_append(&sql2, 0, ",");
+                        	}	
+
 				ast_str_make_space(&escape, (valsz = strlen(value)) * 2 + 1);
 				mysql_real_escape_string(&mysql, ast_str_buffer(escape), value, valsz);
+
 				ast_str_append(&sql2, 0, "'%s'", ast_str_buffer(escape));
 				ast_str_append(&sql1, 0, "%s", entry->name);
 			}
@@ -295,7 +297,7 @@
 		AST_RWLIST_UNLOCK(&columns);
 
 		ast_debug(1, "Inserting a CDR record.\n");
-		ast_str_append(&sql1, 0, "%s')", ast_str_buffer(sql2));
+		ast_str_append(&sql1, 0, "%s)", ast_str_buffer(sql2));
 
 		ast_debug(1, "SQL command as follows: %s\n", ast_str_buffer(sql1));
 
